#!/bin/sh
#
# source: http://www.reportlab.org/ftp/ReportLab_2_3.tar.gz
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

soft='pyreportlab'
softversion='2.3'
packageversion='60.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.gz"
src="$buildir/ReportLab_2_3"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvzf ReportLab_2_3.tar.gz
rm -f $dest.tgz
rm -rf $dest

#------------------Set correct permissions

cd $src

chown -R root:root .
python setup.py build && python setup.py install --root=$dest

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a *.txt docs/* $dest/usr/doc/$soft-$softversion

cd $dest
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

#-----------------build directories and copy the build script

mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

           |-----handy-ruler----------------------------------------------------|
pyreportlab: reportlab (Python Modules Open Source PDF library)
pyreportlab:
pyreportlab: The ReportLab Open Source PDF library is a proven industry-strength
pyreportlab: PDF generating solution, that you can use for meeting your
pyreportlab: requirements and deadlines in enterprise reporting systems.
pyreportlab:
pyreportlab:
pyreportlab:
pyreportlab:
pyreportlab:
pyreportlab:
EODESC

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5